---
lang: en
title: 'API docs: context.injectionmetadata.decorator'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectionmetadata.decorator.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectionMetadata](./context.injectionmetadata.md) &gt; [decorator](./context.injectionmetadata.decorator.md)

## InjectionMetadata.decorator property

Name of the decorator function, such as `@inject` or `@inject.setter`<!-- -->. It's usually set by the decorator implementation.

**Signature:**

```typescript
decorator?: string;
```

